/*
* SocketTunnel - Socket Proxies to create services proxies that can 
* be controlled by application test suites.
*
* Copyright (C) 2004  Abhilash Koneri
* 
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package net.sf.jshell2;
import javax.net.ssl.*;
import java.security.*;

/*******************
 *  Provider definition for 'jshell' provider - it provides only key management services with
 *  minor customization. The customization is in the provision of using a "exclusion" list 
 *  for client certification.
 *
 * 
 * @author Abhilash Koneri
 * @since nothing 0.0
 */
public final class JSProvider extends Provider
{
    public JSProvider()
    {
        super("jshell", 1.0,"JS security provider for key managers");
        put("KeyManagerFactory.jshell", "net.sf.jshell.JSKeyManagerFactorySpi");
    }
}
